"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var React = require("react");
var uiHelpers_1 = require("./../../utilities/uiHelpers");
var classBuilder_1 = require("./../../utilities/classBuilder");
var icon_1 = require("./../display/icon");
var icons_1 = require("./../../utilities/icons");
var Button = (function (_super) {
    __extends(Button, _super);
    function Button() {
        _super.apply(this, arguments);
    }
    Button.prototype.render = function () {
        var layoutClasses = uiHelpers_1.LayoutHelpers.HandleLayoutClasses(this.props.margin, this.props.padding);
        var displayClasses = uiHelpers_1.LayoutHelpers.HandleDisplayClasses({ color: this.props.condition });
        return (React.createElement("button", {id: this.props.id, onClick: this.props.onClick, className: classBuilder_1.classNames("btn", classBuilder_1.cd("rounded", this.props.rounded), layoutClasses, displayClasses)}, 
            this.props.leftIcon && React.createElement(icon_1.Icon, {className: "left-icon", icon: this.props.leftIcon}), 
            this.props.text, 
            this.props.rightIcon && React.createElement(icon_1.Icon, {className: "right-icon", icon: this.props.rightIcon})));
    };
    Button.Icomoon = icons_1.Icons.Icomoon;
    return Button;
}(React.Component));
exports.Button = Button;
